Re: [gentoo-user] To be mesa or not to be mesa...

2009-06-25 Thread Philip Webb
090625 meino.cra...@gmx.de wrote: I am using an nvidia graphics card GeForce (7600 GT (rev a2)) with the nvidia drivers. Do I need mesa to be installed ? I am heavily using OpenGL with Blender. On my machine with an 'Asus EN8500GT Nvidia 512 MB DDR2 800' card root:502 root eix ^mesa

Re: [gentoo-user] Back in the soup [circular mask problem]

2006-03-10 Thread Benno Schulenberg
Harry Putnam wrote: I need Mesa libs onboard (its not mandatory ) so looking at partage for mesa libs I find: media-libs/mesa [ Masked ] Latest version available: 6.4.2-r1 Latest version installed: [ Not Installed ] If you have xorg-6.8.2 installed, then you already have Mesa

Re: [gentoo-user] emerge xorg-xll fails out at media-libs/mesa-6.5-r3

2006-07-02 Thread Richard Broersma Jr
Is there something shortly above these like foo.h: No such file or directory? Well, in the interest in saving time, I've encluded the entire emerge output of mesa-6.5-r3. :-D Regards, Richard Broersma Jr.16:01:38 (707.86 KB/s) - `/usr/portage/distfiles/MesaLib-6.5.tar.bz2' saved

[gentoo-user] Re: To be mesa or not to be mesa...

2009-06-24 Thread Nikos Chantziaras
On 06/25/2009 05:51 AM, meino.cra...@gmx.de wrote: Hi, short question: I am using an nvidia graphics card GeForce (7600 GT (rev a2)) with the nvidia drivers. Do I need mesa to be installed (I am heavily using OpenGL with Blender...) You only need mesa if portage tells you so

Re: [gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-14 Thread Michael Schreckenbauer
Am Mittwoch, 14. Dezember 2011, 14:22:47 schrieb Lavender: Now I'm totally confused, I can't find helpful information from Internet. I know mesa is a open source implementation of OpenGL, obviously mesa will afford OpenGL API. DRI is short for Direct Rendering Infrastructure, I have chosen

[gentoo-user] mesa-12.0.1 fails to emerge

2017-02-07 Thread Mick
How could I go beyond this point? /var/tmp/portage/media- libs/mesa-12.0.1/work/mesa-12.0.1/src/gallium/state_track ers/clover/llvm/invocation.cpp:212:75: error: no matching function for call to ‘ clang::CompilerInvocation::setLangDefaults(clang

[gentoo-user] compiz and mesa

2009-03-26 Thread Andrew Gaydenko
compiz wants x11-libs/libX11[xcb] (even 0.8.2), and mesa 7.4_rc1 wants x11-libs/libX11[xcb=] (it's for current ~amd64). Does [xcb=] means without the flag? Tree bug?

Re: [gentoo-user] Re: To be mesa or not to be mesa...

2009-06-25 Thread Neil Bothwick
On Thu, 25 Jun 2009 05:58:29 +0200, Volker Armin Hemmann wrote: if it exists. If emerge -p --depclean wants to unmerge mesa, then you don't need it. Just make sure to run revdep-rebuild afterwards to make sure to packages were broken by this. in the past a lot of packages needed mesa

[gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-13 Thread Lavender
Now I'm totally confused, I can't find helpful information from Internet. I know mesa is a open source implementation of OpenGL, obviously mesa will afford OpenGL API. DRI is short for Direct Rendering Infrastructure, I have chosen options like: Device Drivers --- Graphics support

Re: [gentoo-user] mesa 9.1.2.r1 fails to build

2013-06-14 Thread Daniel Pielmeier
Bug 458550 -- Regards Daniel

[gentoo-user] Digest verification failed:

2016-04-07 Thread Valmor de Almeida
Hello, I have done several emerge --sync today but the digest verification problem below does not go away. Any thoughts? Thank you. -- Valmor >>> Fetching (165 of 221) media-libs/mesa-11.0.6::gentoo !!! Digest verification failed: !!! /usr/portage/media-libs/mesa/mesa-.ebuild !

[gentoo-user] mesa / 3d driver for openchrome

2008-04-17 Thread Uwe Thiem
Hi folks, according to the mesa web site, mesa-7.0.2 contains a 3d driver for openchrome. Unfortunately, the ebuild knows only about a very limited number of video cards, openchrome not amoung them. How can I convince it to compile the openchrome 3d driver? Uwe -- Informal Linux Group

Re: [gentoo-user] Cannot update world: can't build mesa

2009-06-19 Thread Olekhov Vasiliy
I've been using radeonhd, mesa, dri and others from latest git. Now i'm trying to update world. emerge fails building mesa-7.4.2 from portage Well, the problem was with headers dri2proto. These were installed in /usr/local/include/drm and there was a conflict with /usr/include/drm

[gentoo-user] Heads Up - mesa-9.0 needs media-libs/glu in addition

2012-10-09 Thread Helmut Jarausch
Hi, upgrading from mesa-9.0_pre20120918 to mesa-9.0 broke some package, among them ati-drivers. They have remove glu. Installing media-libs/glu in addition now (never needed it before) restores the essential /usr/include/GL/glu.h file. Helmut.

Re: [gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-14 Thread Andrés Becerra Sandoval
2011/12/14 Lavender lavender_mat...@163.com Now I'm totally confused, I can't find helpful information from Internet. I know mesa is a open source implementation of OpenGL, obviously mesa will afford OpenGL API. DRI is short for Direct Rendering Infrastructure, I have chosen options like

Re: [gentoo-user] Re: To be mesa or not to be mesa...

2009-06-24 Thread Volker Armin Hemmann
On Donnerstag 25 Juni 2009, Nikos Chantziaras wrote: On 06/25/2009 05:51 AM, meino.cra...@gmx.de wrote: Hi, short question: I am using an nvidia graphics card GeForce (7600 GT (rev a2)) with the nvidia drivers. Do I need mesa to be installed (I am heavily using OpenGL

Re: [gentoo-user] [~amd64] Does the EGL useflag break mesa-progs-8.2.0?

2015-07-15 Thread wraeth
On Wed, Jul 15, 2015 at 01:53:50PM -0700, walt wrote: Normally I would just file a bug report, but lately portage has been behaving so strangely I feel obligated to ask here first. Maybe you won't see what I see. Just try emerging mesa-progs-8.2.0 with the EGL useflag set. Attempting

[gentoo-user] emerge xorg-xll fails out at media-libs/mesa-6.5-r3

2006-07-01 Thread Richard Broersma Jr
stddef.h not in ./stddef.h not in ../../../include/stddef.h not in ../../../include/GL/internal/stddef.h not in ../../../src/mesa/main/stddef.h not in ../../../src/mesa/glapi/stddef.h not in ../../../src/mesa/drivers/dri/common/stddef.h not in /usr

[gentoo-user] Re: (unknown)

2011-10-24 Thread Nikos Chantziaras
drivers, you should put fglrx in VIDEO_CARDS. OK, I've added it and I'm remerging mesa to see what difference it makes. If mesa doesn't get automatically rebuilt (changing VIDEO_CARDS counts as a USE flags change, so emerge -uDN world will pick it up), then that means you're using a version of mesa

Re: [gentoo-user] Re: OpenGL problem after upgrading mesa and xorg-server

2017-03-14 Thread Miroslav Rovis
On 170314-05:32+0100, wabe wrote: > wabe <waben...@gmail.com> wrote: > > > Since I've upgraded mesa (12.0.1 to 13.0.5) and xorg-server > > (1.18.4 to 1.19.2), OpenGL programs don't work any longer for > > non-root users, even when these users are me

Re: [gentoo-user] Re: OpenGL problem after upgrading mesa and xorg-server

2017-03-14 Thread J. Roeleveld
On March 14, 2017 6:57:59 AM GMT+01:00, Miroslav Rovis <miro.ro...@croatiafidelis.hr> wrote: >On 170314-05:32+0100, wabe wrote: >> wabe <waben...@gmail.com> wrote: >> &gt;> > Since I've upgraded mesa (12.0.1 to 13.0.5) and xorg-server >> > (1.18.4 to 1

Re: [gentoo-user] Re: OpenGL problem after upgrading mesa and xorg-server

2017-03-14 Thread wabe
Miroslav Rovis <miro.ro...@croatiafidelis.hr> wrote: > On 170314-05:32+0100, wabe wrote: > > wabe <waben...@gmail.com> wrote: > > >; > > Since I've upgraded mesa (12.0.1 to 13.0.5) and xorg-server > > > (1.18.4 to 1.19.2), OpenGL programs don't wo

[gentoo-user] To be mesa or not to be mesa...

2009-06-24 Thread meino . cramer
Hi, short question: I am using an nvidia graphics card GeForce (7600 GT (rev a2)) with the nvidia drivers. Do I need mesa to be installed (I am heavily using OpenGL with Blender...) Kind regards, mcc -- Please don't send me any Word- or Powerpoint-Attachments unless it's absolutely

Re: [gentoo-user] mesa build failure

2009-06-26 Thread Alan McKinnon
On Friday 26 June 2009 21:05:01 Mark Knecht wrote: So the weirdness continues. mesa built but then xorg-server failed with the same failure: * SetUID: [chmod go-r] /usr/bin/Xorg ... [ ok ] Switching to xorg-x11 OpenGL interface...ln: creating symbolic link

Re: [gentoo-user] Mythtv Segmentation fault

2009-09-01 Thread David Snider
On Sep 1, 2009, at 8:24 AM, Neal Hogan wrote: Thanks to those who offered help . . . I got mythtv going by using a different version of mesa. While it was suggested that I use an older version, I ended up using a newer one. I went from media-libs/mesa-7.3-r1 to media-libs/mesa-7.5-r3. Now I

[gentoo-user] MESA + opencl = requires video_cards_radeon

2014-05-01 Thread Chris Stankevitz
Hello, Regarding the following snip from /usr/portage/media-libs/mesa/mesa-10.0.4.ebuild: DEPEND=${RDEPEND} opencl? ( =sys-devel/llvm-3.3-r1[video_cards_radeon,${MULTILIB_USEDEP}] =sys-devel/clang-3.3[${MULTILIB_USEDEP}] =sys-devel/gcc-4.6

[gentoo-user] Re: opengl: missing symlink target for header

2015-02-13 Thread walt
On 02/13/2015 10:19 AM, Nicolas Sebrecht wrote: Hi guys, If you have mesa and eselect-opengl-1.3.X installed, could you please tell me if the symlink /usr/include/GL/glext.h is broken for you? Like Alan, I have a regular file and not a symlink. The file was installed by mesa-10.4.4

Re: [gentoo-user] eselect fouled

2008-03-02 Thread David Corbin
On Sunday 02 March 2008 03:03:15 pm Alan McKinnon wrote: /usr/lib/libGL.so is a symlink to /usr/lib/opengl/xorg-x11/lib/libGL.so on my machine, and that comes from media-libs/mesa. eselect updates that symlink. Do you have mesa correctly installed and does that target actually exist

Re: [gentoo-user] eselect fouled

2008-03-02 Thread Alan McKinnon
On Sunday 02 March 2008, David Corbin wrote: On Sunday 02 March 2008 03:03:15 pm Alan McKinnon wrote: /usr/lib/libGL.so is a symlink to /usr/lib/opengl/xorg-x11/lib/libGL.so on my machine, and that comes from media-libs/mesa. eselect updates that symlink. Do you have mesa correctly

Re: [gentoo-user] Back in the soup [circular mask problem]

2006-03-10 Thread Mike Williams
On Friday 10 March 2006 18:10, Harry Putnam wrote: Ok, Its the only ebuild available and following that advice for ever will not explain how to get aroud this circular masking problem. It's not a circular masking problem, mesa is package.mask'd, as in proper-unstable-breaks-the-tree

Re: [gentoo-user] emerge xorg-xll fails out at media-libs/mesa-6.5-r3

2006-07-02 Thread Donnie Berkholz
not in ../../../src/mesa/main/stddef.h not in ../../../src/mesa/glapi/stddef.h not in ../../../src/mesa/drivers/dri/common/stddef.h not in /usr/include/drm/stddef.h not in /usr/X11R6/include/stddef.h not in /usr/include/stddef.h Hi, Those warnings are irrelevant

[gentoo-user] Re: (unknown)

2011-10-24 Thread Nikos Chantziaras
is called r600 and it drives R600 chips and newer. Another thing I forgot to mention is that you should make sure you're using Gallium3D in Mesa. To see what you're using (after you've rebuilt everything), do: eselect mesa list If classic is selected instead of gallium, change

[gentoo-user] mesa-10.3.7-r1 S3TC option

2015-02-20 Thread Mick
After I updated mesa to 10.3.7-r1, I was provided with this message: Messages generated by process 2287 on 2015-02-19 20:32:50 GMT for package media-libs/mesa-10.3.7-r1: LOG: postinst Note that in order to have full S3TC support, it is necessary to install media-libs/libtxc_dxtn as well

[gentoo-user] mesa downgrade wont compile

2008-09-23 Thread AJ Spagnoletti
Hi, During a recent upgrade of my system mesa wanted to upgrade to version 7.2 which wanted to bring in a number of masked dependencies. After checking my system it appears there is nothing on here requiring a version number higher then 6.5 which is the latest stable build. I tried removing mesa

Re: [gentoo-user] new box DRI problem : more

2007-10-29 Thread Benno Schulenberg
Philip Webb wrote: Unrecognised deviceID 29c2 backtrace ... ... /usr/lib64/dri/i915_dri.so ... (provided by pkg 'mesa') What versions of Mesa and xf86-video-i810 are you running? And what is in the Section Device of your /etc/X11/xorg.conf? Benno -- [EMAIL PROTECTED] mailing list

Re: [gentoo-user] 000299 !!! ERROR: media-libs/mesa-6.4.1-r1 failed.

2005-12-19 Thread Richard Fish
On 12/19/05, Richard Fish [EMAIL PROTECTED] wrote: I am not sure, but I think you need to merge x11-proto/glproto Also, media-libs/mesa-6.4.1-r1 (the ~x86 version) already has this dependancy. Which version are you trying to merge? -Richard -- gentoo-user@gentoo.org mailing list

[gentoo-user] xorg-x11 upgrade problems (mesa-progs-6.4.2)

2006-07-01 Thread Walter Dnes
I've overcome a few hiccups along the way, but this one has me stumped. Out of sheer curiousity, why is -ffast-math being invoked? I do *NOT* have it in my CFLAGS. ld's problem seems to be cannot find -lGL. Does that help? Emerging (1 of 10) x11-apps/mesa-progs-6.4.2 to / checking ebuild

Re: [gentoo-user] Update xorg-x11

2006-07-13 Thread Benno Schulenberg
Juliano Morais Barbosa wrote: Emerging (1 of 1) media-libs/mesa-6.4.2-r2 to / Creating Manifest for /usr/portage/media-libs/mesa Remove digest and assume-digests from your FEATURES. Those are meant for developers. You are undoing emerge's security check. And please don't top post

Re: [gentoo-user] mesa build failure

2009-06-26 Thread Paul Hartman
On Fri, Jun 26, 2009 at 10:16 AM, Mark Knechtmarkkne...@gmail.com wrote: As part of emerge @world mesa isn't building. It complains (I think) about a missing GL/glxproto.h file. Anyone know where this file is supposed to come from? x11-proto/glproto perhaps

Re: [gentoo-user] mesa build failure

2009-06-26 Thread Paul Hartman
, then emerge mesa, then change it back to your other driver afterward.

Re:Re: [gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-15 Thread Lavender
About Mesa: http://www.mesa3d.org/intro.html About DRI: http://dri.freedesktop.org/wiki/ -- Andrés Becerra Sandoval Thanks, the web pages you provided I have already read before, these don't seem to provide helpful issues for my questions.

Re: [gentoo-user] xorg.conf tweaks for HTPC machine?

2012-12-18 Thread Walter Dnes
Walter's Excellent Adventure Chapter 2 On Tue, Dec 18, 2012 at 03:17:59AM -0500, Walter Dnes wrote I ran emerge -pv mesa, and discovered that mesa had been merged with USE=-xorg. This is what I get for starting USE with -*... http://media.comicvine.com/uploads/11/117774/2361934

[gentoo-user] [~amd64] Does the EGL useflag break mesa-progs-8.2.0?

2015-07-15 Thread walt
Normally I would just file a bug report, but lately portage has been behaving so strangely I feel obligated to ask here first. Maybe you won't see what I see. Just try emerging mesa-progs-8.2.0 with the EGL useflag set.

[gentoo-user] portage-utils-0.61 Bug or feature?

2016-02-15 Thread walt
After today's update from 0.60 to 0.61 I noticed that the behavior of qlop changed. Until today the command 'qlop -l' lists every package in /var/log/emerge.log in chronological order. Today 'qlop -l' lists nothing unless you supply an argument, e.g. 'qlop -l mesa', which lists every package

Re: [gentoo-user] new box DRI problem : more

2007-10-29 Thread Benno Schulenberg
Philip Webb wrote: 071029 Benno Schulenberg wrote: What versions of Mesa and xf86-video-i810 are you running? 'mesa-progs-6.5.2' (latest available). Get the one from testing, 7.0.1. But what you need is media-libs/mesa; mesa-progs is just glxinfo/glxgears. 'xf86-video-i810-2.1.0

Re: [gentoo-user] scrapping hal

2010-10-28 Thread Peter Humphrey
On Thursday 28 October 2010 13:35:49 Alan McKinnon wrote: xorg-server 1.8 and 1.9 use mesa-7.8.2, and there's reports around that that version of mesa causes desktop slowdowns. mesa-7.7.1 as used by xorg- server-1.7 is reported to be fine This box has been the most sluggish box I've ever seen

Re: [gentoo-user] Gallium and nVidia

2013-07-29 Thread Alan McKinnon
On 29/07/2013 17:38, András Csányi wrote: Hi All, I would like to some clarification to support my feeling regarding gallium related use flags in mesa package. For some reason I have to rebuild a few packages on my machine and xorg-server and mesa are among them. I experienced

Re: [gentoo-user] problem emerging Libdrm : solved

2015-01-26 Thread Peter Humphrey
On Sunday 25 January 2015 23:57:50 Philip Webb wrote: 150125 Philip Webb wrote: After exactly 2 years , I'm trying to update my Asus EEE netbook. Trying to update gtk+ , I've run into a problem : it requires Mesa Cairo both require libdrm-2.4.58 , which refuses to compile, failing

[gentoo-user] OpenGL problem after upgrading mesa and xorg-server

2017-03-13 Thread wabe
Since I've upgraded mesa (12.0.1 to 13.0.5) and xorg-server (1.18.4 to 1.19.2), OpenGL programs don't work any longer for non-root users, even when these users are members of the group "video". The USE flags for xorg-server: doc glamor ipv6 kdrive suid udev xorg xvfb mesa: classi

[gentoo-user] mesa build failure

2009-06-26 Thread Mark Knecht
Hi, As part of emerge @world mesa isn't building. It complains (I think) about a missing GL/glxproto.h file. Anyone know where this file is supposed to come from? Thanks, Mark checking expat.h presence... yes checking for expat.h... yes checking for XML_ParserCreate in -lexpat... yes

[gentoo-user] Odd Update Issue

2014-05-27 Thread Hunter Jozwiak
Hi guys. I ran into this error while doing a full system update, and was wondering if there was a solution. -Begin Messajes Calculating dependencies .. .. done! [ebuild U ] media-libs/mesa-10.2.0.rcbled [10.0.4] USE equals comdriblec% comopenmax%was VIDEOCARDS equals nouveauinin

[gentoo-user] Re: Radeon KMS driver - what benefits?

2010-11-22 Thread Nikos Chantziaras
On 11/22/2010 10:46 PM, Nikos Chantziaras wrote: On 11/22/2010 09:40 PM, Robin Atwood wrote: [...] Thanks, I would try that, but... # emerge -av media-libs/mesa These are the packages that would be merged, in order: Calculating dependencies... done! [ebuild U ] x11-libs/libX11-1.4.0 [1.3.6

Re: [gentoo-user] Re: No HW acceleraton on radeon Mobility X300 with linux-2.6.36-r5, mesa-7.9, xorg-server-1.9.2 and video-ati-6.13.2

2011-01-17 Thread Mick
On 16 January 2011 22:30, Nikos Chantziaras rea...@arcor.de wrote: On 01/16/2011 05:18 PM, Daniel Tihelka wrote: Hallo, after update to 2.6.36-r5 kernel, xorg 1.9.2, mesa-7.9 and xf86-video- ati-6.13.2 (all from gentoo portage), the hw graphics acceleration stopped working. The problem

Re: [gentoo-user] Re: No HW acceleraton on radeon Mobility X300 with linux-2.6.36-r5, mesa-7.9, xorg-server-1.9.2 and video-ati-6.13.2

2011-01-17 Thread Daniel Tihelka
On Monday 17 January 2011 18:30:02 Mick wrote: On 16 January 2011 22:30, Nikos Chantziaras rea...@arcor.de wrote: Then, try deleting your xorg.conf (if you have one) and do: eselect mesa set r300 gallium Also make sure that mesa is emerged with the video_cards_r300 USE flag

Re: [gentoo-user] Re: No HW acceleraton on radeon Mobility X300 with linux-2.6.36-r5, mesa-7.9, xorg-server-1.9.2 and video-ati-6.13.2

2011-01-17 Thread Daniel Tihelka
On Monday 17 January 2011 18:30:02 Mick wrote: On 16 January 2011 22:30, Nikos Chantziaras rea...@arcor.de wrote: Then, try deleting your xorg.conf (if you have one) and do: eselect mesa set r300 gallium Also make sure that mesa is emerged with the video_cards_r300 USE flag enabled

Re:Re: [gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-15 Thread Lavender
At 2011-12-15 03:24:20,Michael Schreckenbauer grim...@gmx.de wrote: Am Mittwoch, 14. Dezember 2011, 14:22:47 schrieb Lavender: Now I'm totally confused, I can't find helpful information from Internet. I know mesa is a open source implementation of OpenGL, obviously mesa will afford OpenGL API

Re: [gentoo-user] Who can tell me relationship among dri,glx,mesa,xorg?

2011-12-15 Thread Michael Schreckenbauer
Am Donnerstag, 15. Dezember 2011, 18:29:14 schrieb Lavender: At 2011-12-15 03:24:20,Michael Schreckenbauer grim...@gmx.de wrote: Am Mittwoch, 14. Dezember 2011, 14:22:47 schrieb Lavender: Now I'm totally confused, I can't find helpful information from Internet. I know mesa is a open source

[gentoo-user] Re: compiz and mesa

2009-03-26 Thread Nikos Chantziaras
Andrew Gaydenko wrote: compiz wants x11-libs/libX11[xcb] (even 0.8.2), and mesa 7.4_rc1 wants x11-libs/libX11[xcb=] (it's for current ~amd64). Does [xcb=] means without the flag? Tree bug? I don't know why it shows like this with you, but here it told me that that I had to remove the xcb

[gentoo-user] Preventing a package from being updated

2010-10-18 Thread Timur Aydin
Hi, I am using the ~x86 (testing) version of gentoo linux. After recent updates, my X windows became extremely sluggish and I found out that the problem is related to a new version of mesa (7.8.2 specifically). So I downgraded to version 7.7.1 and my desktop works great again. Now I want

Re: [gentoo-user] Heads Up - mesa-9.0 needs media-libs/glu in addition

2012-10-10 Thread Robin Atwood
On Tuesday 09 October 2012, Helmut Jarausch wrote: upgrading from mesa-9.0_pre20120918 to mesa-9.0 broke some package, among them ati-drivers. They have remove glu. Installing media-libs/glu in addition now (never needed it before) restores the essential /usr/include/GL/glu.h file. I found

Re: [gentoo-user] Heads Up - mesa-9.0 needs media-libs/glu in addition

2012-10-16 Thread Markos Chandras
On Wed, Oct 10, 2012 at 5:09 PM, Robin Atwood robin.atw...@attglobal.net wrote: On Tuesday 09 October 2012, Helmut Jarausch wrote: upgrading from mesa-9.0_pre20120918 to mesa-9.0 broke some package, among them ati-drivers. They have remove glu. Installing media-libs/glu in addition now (never

Re: [gentoo-user] xorg.conf tweaks for HTPC machine?

2012-12-18 Thread Walter Dnes
what was and was not in there... [i3][root][~] ll -og /usr/lib64/dri/ total 30 drwxr-xr-x 2 216 Dec 18 01:57 . drwxr-xr-x 58 31024 Dec 18 01:34 .. -rw-r--r-- 1 0 Dec 14 17:57 .keep_media-libs_mesa-0 lrwxrwxrwx 120 Jan 8 2011 i915_dri.so - ../mesa/i915g_dri.so lrwxrwxrwx 120 Dec 14

Re: [gentoo-user] Re: mesa 9.1.2.r1 fails to build

2013-06-13 Thread Gregory Shearman
. No idea why. Anyway, you could try removing your current mesa installation (after using quickpkg, of course) and then trying the emerge again. Sometimes when a package fails to build while doing an: emerge -auDN world I've had to add the '--with-bdeps=y' option: emerge -auDN --with-bdeps=y world

Re: [gentoo-user] problem emerging Libdrm : solved

2015-01-25 Thread Philip Webb
150125 Philip Webb wrote: After exactly 2 years , I'm trying to update my Asus EEE netbook. Trying to update gtk+ , I've run into a problem : it requires Mesa Cairo both require libdrm-2.4.58 , which refuses to compile, failing with lines reporting that libpng15.so.15 libudev.so.0

Re: [gentoo-user] [~amd64] Does the EGL useflag break mesa-progs-8.2.0?

2015-07-23 Thread Jeremi Piotrowski
On Wed, Jul 15, 2015 at 01:53:50PM -0700, walt wrote: Just try emerging mesa-progs-8.2.0 with the EGL useflag set. Works fine here, compiles cleanly. This really requires atleast an 'emerge --info' to be able to tell more, but build logs may also be necessary. On Thu, 16 Jul 2015, wraeth

[gentoo-user] Updating media-libs/mesa failed

2017-03-11 Thread gevisz
Today, updating my system, I have got: # emerge --update --deep --with-bdeps=y --newuse --backtrack=90 --ask world --exclude chromium These are the packages that would be merged, in order: Calculating dependencies... done! [ebuild U ] media-libs/mesa-13.0.5 [12.0.1] USE="nettle%* -g

[gentoo-user] Update system

2006-07-12 Thread Juliano Morais Barbosa
When I update my gentoo I get this message. x86_64-pc-linux-gnu-gcc -c -I. -I../../../include -I../../../include/GL/internal -I../../../src/mesa/main -I../../../src/mesa/glapi -I../../../src/mesa/drivers/dri/common `pkg-config --cflags libdrm` -I/usr/X11R6/include -Wall -O2 -fomit-frame

Re: [gentoo-user] VLC emerge Fails

2009-04-12 Thread Strake
On Sun, Apr 12, 2009 at 7:54 AM, Volker Armin Hemmann volkerar...@googlemail.com wrote: you have to install mesa. Perfect! It worked. Thank you! -- MFD

Re: [gentoo-user] Problem with the graphic card

2009-06-19 Thread Ward Poelmans
2009/6/19 Massimiliano Ziccardi massimiliano.zicca...@gmail.com: Thank you all. I think I'll wait, however, do you think that that is the problem that cause Did you enable intel in VIDEO_CARDS for mesa? Ward

[gentoo-user] Re: Broken 3D

2009-10-07 Thread walt
On 10/07/2009 09:49 AM, James wrote: Hello, bash: glxgears: command not found I can't help with the driver, but glxgears is in the mesa-progs package.

Re: [gentoo-user] Preventing a package from being updated

2010-10-18 Thread Neil Bothwick
On Mon, 18 Oct 2010 13:06:25 +0300, Timur Aydin wrote: I am using the ~x86 (testing) version of gentoo linux. After recent updates, my X windows became extremely sluggish and I found out that the problem is related to a new version of mesa (7.8.2 specifically). So I downgraded to version

Re: [gentoo-user] depclean wants to remove hal, which kills xdm

2010-12-21 Thread Allan Gottlieb
Helmut Jarausch jarau...@igpm.rwth-aachen.de writes: On 12/21/10 15:41:20, Allan Gottlieb wrote: My plan is to stay like this until xorg 1.9 hits ~amd64 since I It is already unmasked in ~amd64 (It's running just fine here) Bingo. There was a mesa problem a while ago (7.8.2) that caused me

[gentoo-user] SOLVED: Re: depclean wants to remove hal, which kills xdm

2010-12-21 Thread Allan Gottlieb
Allan Gottlieb gottl...@nyu.edu writes: Helmut Jarausch jarau...@igpm.rwth-aachen.de writes: On 12/21/10 15:41:20, Allan Gottlieb wrote: My plan is to stay like this until xorg 1.9 hits ~amd64 since I It is already unmasked in ~amd64 (It's running just fine here) Bingo. There was a mesa

[gentoo-user] Re: No HW acceleraton on radeon Mobility X300 with linux-2.6.36-r5, mesa-7.9, xorg-server-1.9.2 and video-ati-6.13.2

2011-01-16 Thread Nikos Chantziaras
On 01/16/2011 05:18 PM, Daniel Tihelka wrote: Hallo, after update to 2.6.36-r5 kernel, xorg 1.9.2, mesa-7.9 and xf86-video- ati-6.13.2 (all from gentoo portage), the hw graphics acceleration stopped working. The problem seems to be in drm kernel module, as it is claimed by X.org (the part

Re: [gentoo-user] Re: (unknown)

2011-10-24 Thread Mick
=radeon r700 No. There is no driver called r700. The driver is called r600 and it drives R600 chips and newer. Another thing I forgot to mention is that you should make sure you're using Gallium3D in Mesa. To see what you're using (after you've rebuilt everything), do: eselect mesa

[gentoo-user] Gallium and nVidia

2013-07-29 Thread András Csányi
Hi All, I would like to some clarification to support my feeling regarding gallium related use flags in mesa package. For some reason I have to rebuild a few packages on my machine and xorg-server and mesa are among them. I experienced that if the xorg USE flag of mesa is enabled then I got

[gentoo-user] Re: Gallium and nVidia

2013-07-29 Thread Nikos Chantziaras
On 29/07/13 18:38, András Csányi wrote: Hi All, I would like to some clarification to support my feeling regarding gallium related use flags in mesa package. For some reason I have to rebuild a few packages on my machine and xorg-server and mesa are among them. I experienced that if the xorg

Re: [gentoo-user] Switch to VT1 on shutdown fails with mesa = 9.1 and two screens configured in xinerama

2013-10-05 Thread Alan McKinnon
X without my config files and let it configure one screen automatically, the switch to VT1 on shutdown works as expected. Any hints for the next step? File a bug with mesa? Try other things? First step is ually to file a bug at b.g.o. for the mesa team. If that gives no results, move onto

Re: [gentoo-user] Switch to VT1 on shutdown fails with mesa = 9.1 and two screens configured in xinerama

2013-10-07 Thread Andreas Prieß
it with only one screen. If I start X without my config files and let it configure one screen automatically, the switch to VT1 on shutdown works as expected. Any hints for the next step? File a bug with mesa? Try other things? First step is ually to file a bug at b.g.o. for the mesa team

Re: [gentoo-user] Odd Update Issue

2014-05-28 Thread Neil Bothwick
On Tue, 27 May 2014 20:58:56 -0400, Hunter Jozwiak wrote: Can you fix whatever you are using to post this. Portage output is difficult enough to parse without you adding extra layers of obfuscation. * Cannot find $EPATCHSOURCE! Value for $EPATCHSOURCE is: * * /usr/portage/media-libs/mesa

[gentoo-user] opengl: missing symlink target for header

2015-02-13 Thread Nicolas Sebrecht
Hi guys, If you have mesa and eselect-opengl-1.3.X installed, could you please tell me if the symlink /usr/include/GL/glext.h is broken for you? Thanks, -- Nicolas Sebrecht

Re: [gentoo-user] Dell Inspiron 530 compatability questions before buying

2007-08-10 Thread Benno Schulenberg
in drm_pciids.txt, under i915, and Mesa has an i915 driver. So it should work fine. And if not, you can file a bug with Mesa -- they're fixing tiny correctness bugs every week. Benno -- [EMAIL PROTECTED] mailing list

Re: [gentoo-user] compiz and mesa

2009-03-26 Thread Albert Hopkins
On Thu, 2009-03-26 at 14:18 -0400, Albert Hopkins wrote: On Thu, 2009-03-26 at 20:31 +0300, Andrew Gaydenko wrote: compiz wants x11-libs/libX11[xcb] (even 0.8.2), and mesa 7.4_rc1 wants x11-libs/libX11[xcb=] (it's for current ~amd64). Does [xcb=] means without the flag? Tree bug

Re: [gentoo-user] HOWTO stick a package

2009-07-11 Thread Keith Dart
=== On Sat, 07/11, Andrew Gaydenko wrote: === How to say portage to keep this as is? === I always just use /etc/portage/package.mask e.g.: media-libs/mesa-7.3-r1 masks anything greater than that version. (for me, 3D/dri does not work with my Intel chipset (G35) for mesa greater than

Re: [gentoo-user] Re: Upgrading from FX-5200 to a GeForce 6200 512MB

2010-10-27 Thread Peter Humphrey
On Tuesday 26 October 2010 18:28:16 Arttu V. wrote: ~ $ equery belongs glxinfo [ Searching for file(s) glxinfo in *... ] x11-apps/mesa-progs-7.7 (/usr/bin/glxinfo) ~ $ equery belongs glxgears [ Searching for file(s) glxgears in *... ] x11-apps/mesa-progs-7.7 (/usr/bin/glxgears Thank you

Re: [gentoo-user] Running gentoo ~amd64 as a virtualbox guest

2015-04-08 Thread Fernando Rodriguez
rasterizer, both of which are fast enough to satisfy the gnome3 shell. What does eselect mesa list shows for Software Renderer? I think to use llvmpipe you'll need the llvm and gallium use flags for mesa and select the gallium renderer. -- Fernando Rodriguez

[gentoo-user] Back in the soup [circular mask problem]

2006-03-10 Thread Harry Putnam
I've hit this problem before but never did have to get it sorted because the package I was after was actually installed already. I'm installing amaya by hand since the ebuild fails and its pretty old anyway. I need Mesa libs onboard (its not mandatory ) so looking at partage for mesa libs I

Re: [gentoo-user] Re: (unknown)

2011-10-24 Thread Vishnupradeep
. Of course only when we're taking about the X.Org drivers. If you're going to use the Catalyst proprietary drivers, you should put fglrx in VIDEO_CARDS. OK, I've added it and I'm remerging mesa to see what difference it makes. If mesa doesn't get automatically rebuilt (changing VIDEO_CARDS

[gentoo-user] Re: OpenGL problem after upgrading mesa and xorg-server

2017-03-13 Thread wabe
wabe <waben...@gmail.com> wrote: > Since I've upgraded mesa (12.0.1 to 13.0.5) and xorg-server > (1.18.4 to 1.19.2), OpenGL programs don't work any longer for > non-root users, even when these users are members of the group > "video". > > The USE flags for

[gentoo-user] 000299 !!! ERROR: media-libs/mesa-6.4.1-r1 failed.

2005-12-18 Thread Ryan
, but only using the Vesa Driver Module. I cannot get it to recognize 3D yet because I cant even get Mesa to recompile. It keeps asking for glxproto.h, but I cannot find any package that has that file, let alone get it installed so mesa sees it. I know that without Mesa, there really isnt much hope

[gentoo-user] mesa's libGL.so looking in wrong place for r300_dri.so

2009-11-24 Thread Grant Edwards
uninstall a package that emerge claims isn't installed? Anyway, I can't get DRI working with the open-source radeon driver. Mesa's libGL.so seems to be broken. I've re-emerged both mesa and mesa-progs, but libGL.so (part of mesa) can't find other .so files that are _also_ part of mesa. Here's

[gentoo-user] Can't use opengl as normal user

2016-11-29 Thread Grant Edwards
rt_context, GLX_EXT_texture_from_pixmap, GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_make_current_read client glx vendor string: Me

[gentoo-user] IO Failure -- Failed 'touch .unpacked' in /var/tmp/portage/

2006-10-24 Thread Rafael Alfaro
Hi all,After I trying to turn my gentoo box in a xen enabled gentoo I haev some troubles:I cannot emerge anything, I ever have the same error, look this examples:#emerge xorg-x11... Unpacking source... Unpacking MesaLib-6.5.1.tar.bz2 to /var/tmp/portage/mesa-progs-6.5.1/work Unpacking MesaDemos

Re: [gentoo-user] portage and library troubles with GL

2009-08-02 Thread Alan McKinnon
... no checking for glVertex3f in -lGL... no checking for glVertex3i in -lGL... no checking for glVertex3s in -lGL... no checking for glVertex3d in -lMesaGL... no configure: error: Cannot find GL library install mesa. openoffice depends on virtual/glu which depends on mesa According

Re: [gentoo-user] portage and library troubles with GL

2009-08-02 Thread Kevin O'Gorman
checking for glVertex3d in -lGLcore... no checking for glVertex3d in -lGL... no checking for glVertex3f in -lGL... no checking for glVertex3i in -lGL... no checking for glVertex3s in -lGL... no checking for glVertex3d in -lMesaGL... no configure: error: Cannot find GL library install mesa

Re: [gentoo-user] Re: Trying to configure Radeon card

2010-10-16 Thread pk
to change the last line to VIDEO_CARDS=fglrx I have: VIDEO_CARDS=radeon fglrx vesa with fglrx working fine. then running emerge -NDuav system changes the mesa driver so that I have no valid selections for VIDEO_CARDS=, so I'll unmerge mesa emerge --unmerge -av mesa xorg-server depends

Re: [gentoo-user] Re: (unknown)

2011-10-24 Thread Mick
is the firmware blob. r600 is the driver. Mesa needs that. radeon is more of a USE flag, needed by various ebuilds (for example x11-base/xorg-drivers, sys-power/pm-utils and also media-libs/mesa). But it should be in VIDEO_CARDS, not in USE. Thanks. This is news to me. It is not mentioned

Re: [gentoo-user] Intel and Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)

2014-05-28 Thread Time Lucky
#emacs /etc/portage/make.conf VIDEO_CARDS=intel i915 # emerge -av xorg-drivers mesa # reboot # eselect mesa list 915 (Intel 915, 945) [1] classic [2] gallium * i965 (Intel GMA 965, G/Q3x, G/Q4x, HD) r300 (Radeon R300-R500) r600 (Radeon R600-R700, Evergreen, Northern Islands) sw (Software

Re: [gentoo-user] mesa-10.3.7-r1 S3TC option

2015-02-23 Thread wireless
On 02/20/2015 07:10 PM, Mick wrote: Mick michaelkintzios at gmail.com writes: media-libs/mesa-10.3.7-r1: I have this installed too; with this video card : radeon VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4350/4550] I mostly followed this guide

Re: [gentoo-user] Confessional: how I generally use emerge.

2016-03-19 Thread Neil Bothwick
ndupdate > > These are the packages that would be merged, in order: > > Calculating dependencies... done! > > !!! Multiple package instances within a single package slot have been > pulled > !!! into the dependency graph, resulting in a slot conflict: > > media

  1   2   3   4   5   6   7   8   9   >